function SY = Compute_Subspace(SY)

number_sets = length(SY);

% Orthonormalization
for tmpC = 1:number_sets
    Y = SY{tmpC};
    numImg = size(Y,2);
    if(isempty(Y)~=1)
        [OY,~,~]=svd(Y);
        SY{tmpC}=OY(:,1:numImg);
    else
        SY{tmpC}=[];
    end
    fprintf('Subspace data: %d\n', tmpC);
end

      