function [Filters,W] = FeatureTemplate(TrainData,Paras,item)

TrainDataMatrix = [];
for i = 1:length(TrainData)
    TrainDataMatrix = [TrainDataMatrix; TrainData{i}'];
end

Filters = Filter(TrainDataMatrix(1:Paras.downSample:end,:),Paras,item);
TrainConvDataMatrix = ConvPooling(TrainDataMatrix,Filters,Paras);

options.ReducedDim = item.PCADim;
[W,~] = PCA(TrainConvDataMatrix,options);


