function [Data,Label] = ParseImageData(Path,SubDir)

idx = 1;
tic
for i = 1:length(SubDir)
    dirVideo = dir([Path SubDir{i}]);
    for j = 1:length(dirVideo)
        dirImage = dir([Path SubDir{i} dirVideo(j).name '\*.png']);
        if length(dirImage)>=1
            Label(idx,1) = i;
            TMP = [];
            for k = 1:length(dirImage)
                Img = rgb2gray(imread([Path SubDir{i} dirVideo(j).name '\' dirImage(k).name]));
                Img = imresize(Img,[32 32]);
                TMP(k,:) = Img(:);
            end
            Data{idx,1} = TMP';
            fprintf('Parse data: %d\n', idx);
            idx = idx+1;            
        end
    end 
    fprintf('%s finished\n', SubDir{i});toc
end



