function Data = Patch2Img(PatchData,pImgH,pImgW)

[nSamples ~] = size(PatchData);
Data = zeros(nSamples,pImgH,pImgW);
for i = 1:nSamples
    Img = reshape(Data(i,:),ImgH,ImgW);
    PatchData((i-1)*(pImgH*pImgW)+1:i*(pImgH*pImgW),:) = im2col(Img,[kernelH,kernelW])';
end